1 Reply Latest reply: Aug 2, 2012 11:12 AM by Christian.Shay -Oracle RSS

    Upgrade from 11.2.0.1.2 to 11.2.0.3.0 without changing Oracle DB Server

    953506
      I want to upgrade to the latest version of ODAC, but I am concerned for two reasons:

      1. I am not sure if it will require that the Oracle database server be updated
      2. I am not sure if it will negatively affect other applications on the same windows box running the older version of the DLLs

      Can anyone alleviate my concerns about this? It really sucks not being able to use Entity Framework because the old DLL didn't implement IServiceProvider.
        • 1. Re: Upgrade from 11.2.0.1.2 to 11.2.0.3.0 without changing Oracle DB Server
          Christian.Shay -Oracle
          950503 wrote:
          I want to upgrade to the latest version of ODAC, but I am concerned for two reasons:

          1. I am not sure if it will require that the Oracle database server be updated
          2. I am not sure if it will negatively affect other applications on the same windows box running the older version of the DLLs

          Can anyone alleviate my concerns about this? It really sucks not being able to use Entity Framework because the old DLL didn't implement IServiceProvider.
          1) You do not need to upgrade the database version.
          2) ODP.NET is designed to allow multiple versions on the same machine. Each version needs to be in its own Oracle home. We do install policy DLLs so you should remove them from the GAC if you do not wish older apps to pick up the new ODP.NET. There is some discussion of this in the ODP.NET online help with some additional information about using .net config files to achieve the same thing.